> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a product family

> Get a product family

<sup>Required permissions: `product-family:read`</sup>



## OpenAPI

````yaml get /product-families/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /product-families/{id}:
    parameters: []
    get:
      tags:
        - ProductFamily
      summary: Get a product family
      description: |-
        Get a product family

        <sup>Required permissions: `product-family:read`</sup>
      operationId: getProductFamily
      parameters:
        - name: id
          in: path
          description: ProductFamily identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: ProductFamily resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductFamily-ProductFamilyRead'
            text/html:
              schema:
                $ref: '#/components/schemas/ProductFamily-ProductFamilyRead'
        '404':
          description: Resource not found
      deprecated: false
      security:
        - JWT:
            - product-family:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /product-families/{id} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    ProductFamily-ProductFamilyRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: ad8b3b9e-5b0a-4e1a-8b0a-4e1a8b0a4e1a
          type: string
        name:
          maxLength: 255
          example: Team Packages
          type: string
        products:
          type: array
          items:
            type: string
            format: uuid
            example: https://example.com/
        createdAt:
          readOnly: true
          description: The date and time when the resource was created.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        updatedAt:
          readOnly: true
          description: The date and time when the resource was last updated.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
      required:
        - name
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````